/* GENERAL */
body {
    background: #d2d2d1;
    margin: 0;
}

#sidebar {
    z-index: 1050;
    /* MÁS ALTO que todo */
}

#overlay {
    z-index: 1040;
}

.navbar {
    z-index: 1030;
}

#horas-manana .d-flex,
#horas-tarde .d-flex {
    align-items: center;
}

#horas-manana input,
#horas-tarde input {
    min-width: 0;
}

.cliente-card {
    cursor: pointer;
    transition: 0.2s;
}

.cliente-card:hover {
    transform: scale(1.05);
}

.titulos-secciones {
    background-color: #212529;
    color: white;
    border-radius: 20px;
    padding: 10px 0px 10px 0px;
}

@media (max-width: 768px) {

    #sidebar {
        position: fixed;
        top: 0;
        left: -260px;
        width: 240px;
        height: 100vh;
        z-index: 1050;
    }

    #sidebar.active {
        left: 0;
    }

    #overlay.active {
        display: block;
        z-index: 1040;
    }
}

/* SIDEBAR */
#sidebar {
    width: 240px;
    height: 100vh;
    background: #1E1E1E;
    color: white;
    position: fixed;
    top: 0;
    left: 0;
    padding: 20px;
    transition: 0.3s;
}

/* LOGO */
#sidebar img {
    width: 150px;
    height: 150px;
    object-fit: contain;
}

/* LINKS */
#sidebar a {
    display: flex;
    align-items: center;
    gap: 10px;
    color: #cfd8dc;
    text-decoration: none;
    padding: 10px;
    border-radius: 8px;
    margin-bottom: 10px;
    transition: 0.2s;
}

#sidebar a:hover {
    background: black;
    color: white;
}

/* ICONOS */
#sidebar i {
    font-size: 18px;
}

/*Login del sitio*/
.login-cuerpo {
    background: linear-gradient(135deg, #4e73df, #1cc88a);
    font-family: 'Roboto', sans-serif;
}

.login-card {
    border-radius: 15px;
}

.login-card{
    width: 100%;
    max-width: 400px;
}

.logo {
    width: 80px;
    margin-bottom: 10px;
}

.form-control:focus {
    box-shadow: none;
    border-color: #4e73df;
}

.btn-primary {
    background-color: #4e73df;
    border: none;
}

.btn-primary:hover {
    background-color: #2e59d9;
}

/* CONTENIDO */
.content {
    margin-left: 240px;
    padding: 20px;
}

.btn-turno {
    border-color: #212529;
    color: #212529;
}

.btn-turno:hover {
    background-color: #212529;
    color: white;
}

.btn-turno.active {
    background-color: #212529 !important;
    color: white;
}

/* OVERLAY */
#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    display: none;
}

/* TARJETAS */
.dia {
    margin-bottom: 25px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.438) !important;
}

.btn-turno.active {
    background-color: #198754;
    color: white;
}

.cliente-item {
    padding: 10px 0;
    font-size: 14px;
}

.direccion {
    font-size: 14px;
    font-weight: 600;
}

.hora {
    font-size: 14px;
    font-weight: bold;
}

.telefono {
    font-size: 14px;
    color: #198754;
}

/*RUTAS ADMIN PAGINA*/
/* Tabs base */
.nav-tabs .nav-link {
    color: #555;
    border: none;
    border-radius: 10px 10px 0 0;
    margin-right: 5px;
    transition: all 0.3s ease;
}

/* Hover */
.nav-tabs .nav-link:hover {
    background-color: #f1f1f1;
    color: #000;
}

/* Activo */
.nav-tabs .nav-link.active {
    background-color: #222121;
    /* azul bootstrap */
    color: #fff;
    font-weight: 500;
    box-shadow: 0 3px 8px rgba(0, 0, 0, 0.1);
}

/* FOOTER */
footer {
    background: #1E1E1E;
    color: white;
}

.logo-footer {
    width: 150px;
    height: 150px;
    object-fit: contain;
}








/* 📱 MOBILE */
@media (max-width: 768px) {

    #sidebar {
        left: -260px;
    }

    #sidebar.active {
        left: 0;
    }

    .content {
        margin-left: 0;
    }

    #overlay.active {
        display: block;
    }

    .cliente-item {
        font-size: 13px;
    }
}